Debian Bug report logs - #475783
generated initrd fails mounting loopback device

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Michael Prokop <mika@grml.org>

Date: Sat, 12 Apr 2008 22:54:07 UTC

Severity: serious

Tags: moreinfo

Fixed in version live-initramfs/1.130.1-3

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: busybox: mounting loopback device fails in initrd (using live-initramfs)
Date: Sun, 13 Apr 2008 00:51:29 +0200
Package: busybox
Version: 1:1.9.2-2
Severity: important


I'm using live-initramfs for booting my live-cd system (using kernel
2.6.23).  My old setup with busybox 1:1.1.3-5 used to work fine.
Nowadays using busybox version 1:1.9.2-2 with different versions of
klibc-utils, initramfs-tools and live-initramfs fails at the stage
of mounting the loopback device (being a squashfs file behind).

I tested several different software versions in all possible
combinations (no setup changes except for the initrds).
The results:

Working
=======

ii  busybox                 1:1.1.3-5               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.91c                   tools for generating an initramfs
ii  klibc-utils             1.5.7-4                 small statically-linked utilities built with klibc
ii  live-initramfs          1.110.7-2~grml.03       Debian Live initramfs hook

ii  busybox                 1:1.1.3-5               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.91c                   tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  live-initramfs          1.110.7-2~grml.03       Debian Live initramfs hook

ii  busybox                 1:1.1.3-5               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.92                    tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  live-initramfs          1.110.7-2~grml.03       Debian Live initramfs hook

Impossible combinations
=======================

JFTR: All available combinations of initramfs-tools 0.92 with
klibc-utils 1.5.7-4 (being 4 possible variants) can't be tested
because initramfs-tools 0.92 depends on klibc-utils (>= 1.5.9-1).

Broken
======

ii  busybox                 1:1.1.3-5               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.92                    tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  live-initramfs          1.128.1-1               Debian Live initramfs hook

ii  busybox                 1:1.1.3-5               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.91c                   tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  live-initramfs          1.128.1-1               Debian Live initramfs hook

ii  busybox                 1:1.1.3-5               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.91c                   tools for generating an initramfs
ii  klibc-utils             1.5.7-4                 small statically-linked utilities built with klibc
ii  live-initramfs          1.128.1-1               Debian Live initramfs hook

ii  busybox                 1:1.9.2-2               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.92                    tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  live-initramfs          1.110.7-2~grml.03       Debian Live initramfs hook

ii  busybox                 1:1.9.2-2               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.92                    tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  live-initramfs          1.128.1-1               Debian Live initramfs hook

ii  busybox                 1:1.9.2-2               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.91c                   tools for generating an initramfs
ii  klibc-utils             1.5.7-4                 small statically-linked utilities built with klibc
ii  live-initramfs          1.110.7-2~grml.03       Debian Live initramfs hook

ii  busybox                 1:1.9.2-2               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.91c                   tools for generating an initramfs
ii  klibc-utils             1.5.7-4                 small statically-linked utilities built with klibc
ii  live-initramfs          1.128.1-1               Debian Live initramfs hook

ii  busybox                 1:1.9.2-2               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.91c                   tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  live-initramfs          1.110.7-2~grml.03       Debian Live initramfs hook

ii  busybox                 1:1.9.2-2               Tiny utilities for small and embedded systems
ii  initramfs-tools         0.91c                   tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  live-initramfs          1.128.1-1               Debian Live initramfs hook


JFTR: live-initramfs 1.110.7-2~grml.03 is corresponding with the
original Debian version live-initramfs 1.110.7-1 except for 3
minimal patches which don't affect the relevant code at all.
See http://hg.grml.org/live-initramfs-grml/file/14e9cddbeb4a/debian/patches/
as reference.

Conclusion: it only works when using the old busybox version *and*
the old live-initramfs version. The klibc-utils and initramfs-tools
versions don't seem to matter. As soon as I *either* upgrade busybox
*or* live-initramfs then booting fails.

I'm not yet sure why using the most recent software versions doesn't
work - because according to Daniel "panthera" Baumann it *should* be
working fine. Could this really be a kernel issue - why does it work
with older busybox and live-initramfs versions then?

Please let me know if you need any further information or if you
have any further ideas what I could do to track down this issue.
I didn't check the code changes in busybox and live-initramfs yet,
so maybe someone of you has an idea what might have caused that
breakage.

regards,
-mika-




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 475783@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Michael Prokop <mika@grml.org>, 475783@bugs.debian.org
Subject: Re: Bug#475783: busybox: mounting loopback device fails in initrd (using live-initramfs)
Date: Sun, 20 Apr 2008 19:02:54 +0200
tags 475783 moreinfo
thanks

On Sun, Apr 13, 2008 at 12:51:29AM +0200, Michael Prokop wrote:
> I'm using live-initramfs for booting my live-cd system (using kernel
> 2.6.23).  My old setup with busybox 1:1.1.3-5 used to work fine.
> Nowadays using busybox version 1:1.9.2-2 with different versions of
> klibc-utils, initramfs-tools and live-initramfs fails at the stage
> of mounting the loopback device (being a squashfs file behind).

Please provide commands used and error messages.

Bastian

-- 
It is a human characteristic to love little animals, especially if
they're attractive in some way.
		-- McCoy, "The Trouble with Tribbles", stardate 4525.6




Tags added: moreinfo Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 20 Apr 2008 17:03:49 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #17 received at 475783@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: Bastian Blank <waldi@debian.org>
Cc: 475783@bugs.debian.org
Subject: Re: Bug#475783: busybox: mounting loopback device fails in initrd (using live-initramfs)
Date: Sun, 20 Apr 2008 19:37:02 +0200
[Message part 1 (text/plain, inline)]
* Bastian Blank <waldi@debian.org> [20080420 19:03]:
> On Sun, Apr 13, 2008 at 12:51:29AM +0200, Michael Prokop wrote:

> > I'm using live-initramfs for booting my live-cd system (using kernel
> > 2.6.23).  My old setup with busybox 1:1.1.3-5 used to work fine.
> > Nowadays using busybox version 1:1.9.2-2 with different versions of
> > klibc-utils, initramfs-tools and live-initramfs fails at the stage
> > of mounting the loopback device (being a squashfs file behind).

> Please provide commands used and error messages.

That's what I can find inside live.log:

| debug: Can not mount backdev /dev/loop0 (image = /live/image/live/grml-medium.squashfs) on croot/imagename //grml-medium.squashfs
| Usage: mount [-r] [-w] [-o options] [-t type] [-n] device directory

Debugging inside busybox (version 1:1.9.2-3, klibc-utils 1.5.7-4):

# md5sum /bin/mount
7b979b1804e776462f21b1ed43bf08b3  /bin/mount
# mkdir /mnt
# mount /dev/loop0 /mnt
Usage: mount [-r] [-w] [-o options] [-t type] [-n] device directory
# mv /bin/mount /bin/mount.unused
# ln -s /bin/busybox /bin/mount
# mount /dev/loop0 /mnt
# ls /mnt
bin etc [...]

So the mount binary of busybox works whereas the one from
klibc-utils seems to fail. As a reference (executing inside the
chroot where I'm building the initramfs):

# md5sum /usr/lib/klibc/bin/mount
7b979b1804e776462f21b1ed43bf08b3  /usr/lib/klibc/bin/mount

Tested also with klibc-utils 1.5.9-2 (same problem):

# md5sum /usr/lib/klibc/bin/mount
c1c83fc15996474a5621d47c68a1f28e  /usr/lib/klibc/bin/mount

Please let me know if you need any further information.

thx && regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Prokop <mika@grml.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 475783-done@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 475783-done@bugs.debian.org
Subject: Re: Bug#475783: busybox: mounting loopback device fails in initrd (using live-initramfs)
Date: Sun, 20 Apr 2008 20:42:44 +0200
On Sun, Apr 20, 2008 at 07:37:02PM +0200, Michael Prokop wrote:
> * Bastian Blank <waldi@debian.org> [20080420 19:03]:
> > On Sun, Apr 13, 2008 at 12:51:29AM +0200, Michael Prokop wrote:
> So the mount binary of busybox works whereas the one from
> klibc-utils seems to fail.

So it is no bug in busybox but in your setup. Closing.

Bastian

-- 
A princess should not be afraid -- not with a brave knight to protect her.
		-- McCoy, "Shore Leave", stardate 3025.3




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #27 received at 475783@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: 475783@bugs.debian.org
Subject: Re: Bug#475783: busybox: mounting loopback device fails in initrd (using live-initramfs)
Date: Sun, 20 Apr 2008 20:59:59 +0200
[Message part 1 (text/plain, inline)]
Why should this be a bug in my setup? It used to work just fine. I
never said that this is a bug in klibc-utils or in busybox, but
anyway it's a bug in one of all the involved packages. So why are
you closing my bugreport?

When I use:

  mount -t squashfs /dev/loop0 /mnt

mounting the squashfs file works, though I get return code 255 with:

  mount: Permission denied

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 475783@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: 475783@bugs.debian.org
Subject: reassign to live-initramfs
Date: Sun, 20 Apr 2008 21:19:00 +0200
[Message part 1 (text/plain, inline)]
It's obvious that the behaviour of mount of klibc-utils differs from
the one of busybox (I'm not sure if the "mount: Permission denied"
message is valid or not) and I don't really like this upgrade path.
Of course the upgrade path is your decision, but shouldn't we at
least reassign this bugreport to live-initramfs?

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #37 received at 475783@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 475783@bugs.debian.org, debian-live-devel@lists.alioth.debian.org
Subject: Re: Bug#475783: marked as done (busybox: mounting loopback device fails in initrd (using live-initramfs))
Date: Mon, 21 Apr 2008 09:28:29 +0200
On Sun, 20 Apr 2008, Debian Bug Tracking System wrote:
> On Sun, Apr 20, 2008 at 07:37:02PM +0200, Michael Prokop wrote:
> > * Bastian Blank <waldi@debian.org> [20080420 19:03]:
> > > On Sun, Apr 13, 2008 at 12:51:29AM +0200, Michael Prokop wrote:
> > So the mount binary of busybox works whereas the one from
> > klibc-utils seems to fail.
> 
> So it is no bug in busybox but in your setup. Closing.

Why aren't you reassigning it to klibc-utils instead?

(It's a pity we have to ask... reassigning should be the natural thing
to do, and you should explain why you choose a non-natural solution)

Either klibc-utils or some debian live package (casper?) for making bad
assumptions about klibc-util's mount.

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Geert Stappers <stappers@stappers.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 475783@bugs.debian.org (full text, mbox):

From: Geert Stappers <stappers@stappers.nl>
To: 475783@bugs.debian.org, control@bugs.debian.org
Subject: allow BTS use
Date: Mon, 21 Apr 2008 11:05:54 +0200
found 475783 1:1.9.2-2
stop

What I understand for this bugreport, is that there is something awkward
with mount from busybox under klibc and other initrd environments.

The maintainer of busybox responded with "it is not in my package"
and closed the bugreport.

My hope of reopening this bugreport is to have the spirit of
 "let us find out together what went wrong"
I known that it implies for some people "not my problem".

All others should be free to solve the problem.
The Bug_Tracking_System is an tool they can use while doing so.


Cheers
Geert Stappers




Bug marked as found in version 1:1.9.2-2 and reopened. Request was from Geert Stappers <stappers@stappers.nl> to control@bugs.debian.org. (Mon, 21 Apr 2008 09:10:52 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #49 received at 475783@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Raphael Hertzog <hertzog@debian.org>, 475783@bugs.debian.org
Subject: Re: Bug#475783: marked as done (busybox: mounting loopback device fails in initrd (using live-initramfs))
Date: Mon, 21 Apr 2008 15:31:17 +0200
On Mon, Apr 21, 2008 at 09:28:29AM +0200, Raphael Hertzog wrote:
> Why aren't you reassigning it to klibc-utils instead?

Its neither a bug in busybox nor in klibc-utils. It is a bug in a
non-Debian component.

Bastian

-- 
Without followers, evil cannot spread.
		-- Spock, "And The Children Shall Lead", stardate 5029.5




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#475783; Package busybox. Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #54 received at 475783@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Bastian Blank <waldi@debian.org>
Cc: 475783@bugs.debian.org
Subject: Re: Bug#475783: marked as done (busybox: mounting loopback device fails in initrd (using live-initramfs))
Date: Mon, 21 Apr 2008 16:29:24 +0200
reopen 475783
reassign 475783 live-initramfs
retitle 475783 generated initrd fails mounting loopback device
thanks

On Mon, 21 Apr 2008, Bastian Blank wrote:
> On Mon, Apr 21, 2008 at 09:28:29AM +0200, Raphael Hertzog wrote:
> > Why aren't you reassigning it to klibc-utils instead?
> 
> Its neither a bug in busybox nor in klibc-utils. It is a bug in a
> non-Debian component.

If I understood correctly, it might be a bug in "live-initramfs" since
this tool generates the initrd used by the bug submitter and this tool
makes the assumption that klibc-utils is able to mount -o loop a
filesystem image.

http://packages.qa.debian.org/l/live-initramfs.html

(I'm sure you could have come to this conclusion by yourself if you cared
a little more about what the user has been trying to do)

Cheers,
-- 
Raphaël Hertzog

Le best-seller français mis à jour pour Debian Etch :
http://www.ouaza.com/livre/admin-debian/




Bug reassigned from package `busybox' to `live-initramfs'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 21 Apr 2008 14:30:15 GMT) Full text and rfc822 format available.

Changed Bug title to `generated initrd fails mounting loopback device' from `busybox: mounting loopback device fails in initrd (using live-initramfs)'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Mon, 21 Apr 2008 14:30:16 GMT) Full text and rfc822 format available.

Reply sent to daniel@debian.org:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Prokop <mika@grml.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #63 received at 475783-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 475783-done@bugs.debian.org
Subject: Re: generated initrd fails mounting loopback device
Date: Mon, 21 Apr 2008 23:10:56 +0200
you are using an unsupported combination of packages.

live-initramfs from sid, with kernel, busybox, klibc from sid as well as
live-initramfs from lenny, with kernel, busybox, klibc from lenny do work.

closing.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#475783; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #68 received at 475783@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Michael Prokop <mika@grml.org>
Cc: 475783@bugs.debian.org
Subject: Re: Bug#475783 closed by Daniel Baumann <daniel@debian.org> (reply to daniel@debian.org) (Re: generated initrd fails mounting loopback device)
Date: Mon, 21 Apr 2008 23:49:12 +0200
Michael Prokop wrote:
> Well, the combination "live-initramfs from sid, [...] busybox, klibc
> from sid" with a kernel which is known to be working just fine (and
> worked without any problems regarding this issue until now) is
> broken now and there seems to be a regression somewhere *you* don't
> encounter but *me* doing so.

you are saying that you can reproduce it with the /current/ packages in
debian (whereas current means the current ones, and live-initramfs 1.130
with, optionally, your patches you've done to your 1.110 version in grml)?

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#475783; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #73 received at 475783@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: 475783@bugs.debian.org
Cc: daniel@debian.org
Subject: Re: Bug#475783 closed by Daniel Baumann <daniel@debian.org> (reply to daniel@debian.org) (Re: generated initrd fails mounting loopback device)
Date: Mon, 21 Apr 2008 23:46:46 +0200
[Message part 1 (text/plain, inline)]
* Debian Bug Tracking System <owner@bugs.debian.org> [20080421 23:20]:

> This is an automatic notification regarding your Bug report
> which was filed against the live-initramfs package:

> #475783: generated initrd fails mounting loopback device

> It has been closed by Daniel Baumann <daniel@debian.org> (reply to daniel@debian.org).

[...]
> you are using an unsupported combination of packages.

> live-initramfs from sid, with kernel, busybox, klibc from sid as well as
> live-initramfs from lenny, with kernel, busybox, klibc from lenny do work.

Well, the combination "live-initramfs from sid, [...] busybox, klibc
from sid" with a kernel which is known to be working just fine (and
worked without any problems regarding this issue until now) is
broken now and there seems to be a regression somewhere *you* don't
encounter but *me* doing so. I was interested and motivated in
solving this issue and provided all necessary and requested
information so far.

> closing.

Yeah, that's what I expected...

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#475783; Package live-initramfs. Full text and rfc822 format available.

Acknowledgement sent to Michael Prokop <mika@grml.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #78 received at 475783@bugs.debian.org (full text, mbox):

From: Michael Prokop <mika@grml.org>
To: Daniel Baumann <daniel@debian.org>
Cc: 475783@bugs.debian.org
Subject: Re: Bug#475783 closed by Daniel Baumann <daniel@debian.org> (reply to daniel@debian.org) (Re: generated initrd fails mounting loopback device)
Date: Tue, 22 Apr 2008 00:36:34 +0200
[Message part 1 (text/plain, inline)]
* Daniel Baumann <daniel@debian.org> [20080421 23:52]:
> Michael Prokop wrote:

> > Well, the combination "live-initramfs from sid, [...] busybox, klibc
> > from sid" with a kernel which is known to be working just fine (and
> > worked without any problems regarding this issue until now) is
> > broken now and there seems to be a regression somewhere *you* don't
> > encounter but *me* doing so.

> you are saying that you can reproduce it with the /current/ packages in
> debian (whereas current means the current ones, and live-initramfs 1.130
> with, optionally, your patches you've done to your 1.110 version in grml)?

Yes, when using live-initramfs 1.130.1-2 (without any grml patches)
I notice that the squashfs kernel module is missing in the
initramfs.

The kernel module is present in the chroot:

  /lib/modules/2.6.23-grml/kernel/fs/squashfs/squashfs.ko

but it's not present in the initramfs, even though I see:

# grep -r 'manual_add_modules squashfs' /usr/share/initramfs-tools
/usr/share/initramfs-tools/hooks/live:manual_add_modules squashfs

Running manual_add_modules() of
/usr/share/initramfs-tools/hook-functions in debugging mode (using
'set -x') it does not give me a single line mentioning squashfs.

When running /usr/share/initramfs-tools/hooks/live in debugging mode
as well I see:

  cp: `/lib/libdevmapper.so.1.02.1' and `/tmp/mkinitramfs_f26814/lib/libdevmapper.so.1.02.1' are the same file

The reason why the 'set -e' of the hooks/live-script is being
triggered when executing the code is:

for hidden_klibc_dep_library in libacl libblkid libuuid libdevmapper libattr
do
       cp -a /lib/${hidden_klibc_dep_library}.so.* "${DESTDIR}"/lib
done

Because of the /lib/libdevmapper.so.1.02.1 error the initramfs isn't
"ready to go" for live-setup. When running
/usr/share/initramfs-tools/hooks/live without 'set -e' it works
again. AFAICS that's the trigger of my problem, because booting with
the "workaround" initramfs works again (seeing "mount: you must
specify the filesystem type" during initramfs sequence three times,
not sure whether that's relevant though).

The software packages being involved in the live-initramfs setup:

ii  busybox                 1:1.9.2-3               Tiny utilities for small and embedded systems
ii  cryptsetup              2:1.0.6-1               configures encrypted block devices
ii  dmraid                  1.0.0.rc13-2.1          Device-Mapper Software RAID support tool
ii  initramfs-tools         0.92                    tools for generating an initramfs
ii  klibc-utils             1.5.9-2                 small utilities built with klibc for early boot
ii  libdevmapper1.02.1      2:1.02.24-4             The Linux Kernel Device Mapper userspace library
ii  live-initramfs          1.130.1-2               Debian Live initramfs hook
ii  lvm2                    2.02.33-2               The Linux Logical Volume Manager
ii  mdadm                   2.6.4-1                 tool to administer Linux MD arrays (software RAID)
ii  udev                    0.114-2                 /dev/ and hotplug management daemon

regards,
-mika-
[signature.asc (application/pgp-signature, inline)]

Bug reopened, originator not changed. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 26 Apr 2008 13:30:04 GMT) Full text and rfc822 format available.

Severity set to `serious' from `important' Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Sat, 26 Apr 2008 13:30:05 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Michael Prokop <mika@grml.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #87 received at 475783-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 475783-close@bugs.debian.org
Subject: Bug#475783: fixed in live-initramfs 1.130.1-3
Date: Sat, 26 Apr 2008 13:47:04 +0000
Source: live-initramfs
Source-Version: 1.130.1-3

We believe that the bug you reported is fixed in the latest version of
live-initramfs, which is due to be installed in the Debian FTP archive:

live-initramfs_1.130.1-3.diff.gz
  to pool/main/l/live-initramfs/live-initramfs_1.130.1-3.diff.gz
live-initramfs_1.130.1-3.dsc
  to pool/main/l/live-initramfs/live-initramfs_1.130.1-3.dsc
live-initramfs_1.130.1-3_all.deb
  to pool/main/l/live-initramfs/live-initramfs_1.130.1-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 475783@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-initramfs package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 26 Apr 2008 16:00:00 +0200
Source: live-initramfs
Binary: live-initramfs
Architecture: source all
Version: 1.130.1-3
Distribution: unstable
Urgency: high
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-initramfs - Debian Live initramfs hook
Closes: 475783
Changes: 
 live-initramfs (1.130.1-3) unstable; urgency=high
 .
   * Handle non-existing klibc includes in live hook (Closes: #475783).
   * Adding loop-aes-utils to recommends.
Checksums-Sha1: 
 6a2dc88cf84ce213afd4ab415b7285ca42a2cee9 1312 live-initramfs_1.130.1-3.dsc
 41b21ac07a48d09a667f5e1a28a770fd3181a4c5 9800 live-initramfs_1.130.1-3.diff.gz
 9d627c1b38b263e4919e0b4500b29bcf9f29e59e 74084 live-initramfs_1.130.1-3_all.deb
Checksums-Sha256: 
 1f348891bc46ed59a85aa56de13c546b0fa3057ed8c83db87f34bf84032b1366 1312 live-initramfs_1.130.1-3.dsc
 261c3f69e1bf74b47440afab3396e2537d753e9456d677e064c62901e9ccca65 9800 live-initramfs_1.130.1-3.diff.gz
 e43cf5ce4076f6071f97e9f902a119528cc3a239abd4bc2b0c4d7b39b9c21809 74084 live-initramfs_1.130.1-3_all.deb
Files: 
 d12b745dd56f6fada9b6ce09f856925f 1312 misc optional live-initramfs_1.130.1-3.dsc
 15f2e3d39ef22b08d6b5ba5a214f67e5 9800 misc optional live-initramfs_1.130.1-3.diff.gz
 6503f80ea1bebb1dfe851d994ea65e16 74084 misc optional live-initramfs_1.130.1-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIEzC4+C5cwEsrK54RAmQlAJ9GDIyYDmiieo5s3HZOoYFXvVMi5QCgu7nr
dH1iU/Me7mzsI2zg/42uLKA=
=akza
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 28 May 2008 07:38:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 12:39:58 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.